%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: venus
Version: bzrrev86
Release: 6%{?dist}
Summary: Flexible RDF/RSS/Atom feed aggregator

Group: Applications/Internet
License: Python
URL: http://intertwingly.net/code/venus/
Source0: http://intertwingly.net/code/venus.tgz
Patch0: venus-import-fix.patch
Patch1: venus-filter-path.patch
Patch2: venus-js-sanitize.patch
Patch3: venus-add-fedmsg-hook.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
BuildRequires: python-devel
Conflicts: planet

%description
Venus is an awesome ‘river of news’ feed reader. 
It downloads news feeds published by web sites and aggregates their 
content together into a single combined feed, latest news first.

%prep
%setup -q -n %{name}
%patch0 -p0 
%patch1 -p0
%patch2 -p0
%patch3 -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{python_sitelib}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}

install -m 755 planet.py $RPM_BUILD_ROOT/%{_bindir}/venus-planet
install -m 755 spider.py $RPM_BUILD_ROOT/%{_bindir}/venus-spider
install -m 755 splice.py $RPM_BUILD_ROOT/%{_bindir}/venus-splice
install -m 755 expunge.py $RPM_BUILD_ROOT/%{_bindir}/venus-expunge

%{__cp} -a planet $RPM_BUILD_ROOT/%{python_sitelib}/
%{__cp} -a filters $RPM_BUILD_ROOT/%{_datadir}/%{name}/
%{__cp} -a themes $RPM_BUILD_ROOT/%{_datadir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS LICENCE THANKS README examples docs/ TODO
%{_bindir}/venus*
%dir %{python_sitelib}/planet
%{python_sitelib}/planet/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*


%changelog
* Wed Jan 30 2013 Ralph Bean <rbean@redhat.com>
- Updated patch to use the correct fedmsg cert.

* Tue Oct 23 2012 Ralph Bean <rbean@redhat.com>
- Patch to add fedmsg hook

* Fri Sep 11 2009 Seth Vidal <skvidal at fedoraproject.org>
- js sanitize patch for CVE-2009-2937

* Tue Mar 25 2008 Seth Vidal <skvidal at fedoraproject.org>
- first packaging from bzr rev86 snap
